## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name graphql-core

Name:           python-%{pypi_name}
Version:        3.2.6
Release:        %autorelease
Summary:        GraphQL implementation for Python

%global forgeurl https://github.com/graphql-python/graphql-core
%global tag v%{version}
%forgemeta

License:        MIT
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  tomcli

%global _description %{expand:
GraphQL-core-3 is a Python port of GraphQL.js, the JavaScript reference
implementation for GraphQL, a query language for APIs.}

%description %_description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
Obsoletes:      python3-%{pypi_name}-doc < %{version}-%{release}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup

# Relax version constraints
tomcli set pyproject.toml arrays replace \
    build-system.requires '(.+)>=[0-9.].*' '\1'

# Relax version constraints for test dependencies and remove linters.
# and other unused / unavailable plugins.
sed -r \
    -e 's/(pytest.*)>=[0-9.]+.*/\1/g' \
    -e '/pytest-cov/d' \
    -e '/pytest-describe/d' \
    -i tox.ini

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files graphql

%check
%pytest -r fEs

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Tue Jul 22 2025 Sandro <devel@penguinpee.nl> - 3.2.6-1
- Update to 3.2.6 (RHBZ#2139936)

* Mon Jul 21 2025 Sandro <devel@penguinpee.nl> - 3.2.4-6
- Migrate to pyproject macros
- Obsolete doc sub package
- Close RHBZ#2377756

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 3.2.4-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Sep 13 2024 Sandro <devel@penguinpee.nl> - 3.2.4-1
- Update to 3.2.4

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 3.2.3-7
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 3.2.3-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Sep 28 2022 Fabian Affolter <mail@fabian-affolter.ch> - 3.2.3-1
- Update to latest upstream release 3.2.3

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 3.1.6-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 27 2021 Fabian Affolter <mail@fabian-affolter.ch> - 3.1.6-1
- Update to latest upstream release 3.1.6 (closes rhbz#1947481)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 3.1.3-2
- Rebuilt for Python 3.10

* Wed Feb 10 2021 Fabian Affolter <mail@fabian-affolter.ch> - 3.1.3-1
- Update to latest upstream release 3.1.3 (#1926445)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 3.1.2-1
- Update to latest upstream release 3.1.2 (#1893531)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 3.1.1-1
- Generate docs in install (#1836567)
- Update BR name
- Update to latest upstream release 3.1.1

* Thu May 14 2020 Fabian Affolter <mail@fabian-affolter.ch> - 3.1.0-1
- Initial package for Fedora

## END: Generated by rpmautospec
